Package svnmailer :: Package notifier :: Module _base

[hide private]

# Module _base

source code

Base notifier class

Author: Andr\xc3\xa9 Malo

Classes | [hide private]

| BaseNotifier Base class for notifiers

Functions | [hide private]

addFunc(change) diffable add | source code

delFunc(change) diffable del | source code

copyFunc(change) diffable copy | source code

modFunc(change) diffable modify | source code

propFunc(change) diffable propchange | source code

noneFunc(change) not diffable | source code

Variables | [hide private]

`str` | EMPTY_TABLE = ``'``\x00\x01\x02\x03\x04\x05\x06\x07\x08\t\n\x0b\x0``...`` provides an empty translation table
`str` | CTRL_CHARS = ``'``\x00\x01\x02\x03\x04\x05\x06\x07\x08\x0b\x0e\x0f``...`` provides a list of control chars (< ascii 32)
| __package__ = ``'``svnmailer.notifier``'``
| num = `31`

Variables Details | [hide private]

### EMPTY_TABLE

provides an empty translation table

Type:
  `str`

Value:

      '''\x00\x01\x02\x03\x04\x05\x06\x07\x08\t
      \x0b\x0c\r\x0e\x0f\x10\x11\x12\x13\x14\x15\x16\x17\x18\x19\x1a\x1b\x1c
      \x1d\x1e\x1f !"#$%&\'()*+,-./0123456789:;<=>?@ABCDEFGHIJKLMNOPQRSTUVWX
      YZ[\\]^_`abcdefghijklmnopqrstuvwxyz{|}~\x7f\x80\x81\x82\x83\x84\x85\x8
      6\x87\x88\x89\x8a\x8b\x8c\x8d\x8e\x8f\x90\x91\x92\x93\x94\x95\x96\x97\
      x98\x99\x9a\x9b\x9c\x9d\x9e\x9f\xa0\xa1\xa2\xa3\xa4\xa5\xa6\xa7\xa8\xa
      9\xaa\xab\xac\xad\xae\xaf\xb0\xb1\xb2\xb3\xb4\xb5\xb6\xb7\xb8\xb9\xba\
      xbb\xbc\xbd\xbe\xbf\xc0\xc1\xc2\xc3\xc4\xc5\xc6\xc7\xc8\xc9\xca\xcb\xc
      ...

### CTRL_CHARS

provides a list of control chars (< ascii 32)

Type:
  `str`

Value:

      '\x00\x01\x02\x03\x04\x05\x06\x07\x08\x0b\x0e\x0f\x10\x11\x12\x13\x14\
      x15\x16\x17\x18\x19\x1a\x1b\x1c\x1d\x1e\x1f'